Skip to main content
PATCH
Update KYB

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

businessId
string
required

The unique identifier for the business

Body

application/json
entityName
string

Business name

Example:

"Tesla"

entityType
enum<string>

Type of entity

Available options:
corporation,
c-corporation,
s-corporation,
partnership,
sole proprietorship,
limited liability company,
non profit,
other
Example:

"corporation"

taxIdentificationNumber
string

Tax identification number

Example:

"NN-528343998"

incorporation
object

Incorporation details

phoneNumber
object

Person's phone number

websiteURL
string<uri>

Business website URL

Example:

"https://www.tesla.com"

natureOfBusiness
string

Description of the primary business activities and industry

Example:

"Software Development"

sizeOfCompany
string

Size of the company

Example:

"300-400"

sourceOfFunds
string

Source of funds

Example:

"Personal Savings"

annualRevenue
object

Annual revenue range

expectedMonthlyTransactionVolume
object

Expected monthly transaction volume range

address
object

Address

principals
object[]

Principals are individuals with ownership shares of 25% or more. When updating principals, each principal must include an 'id' field to identify which principal is being updated.

articlesOfIncorporation
string<uuid>[]

File IDs for articles of incorporation documents

Example:
bankStatements
string<uuid>[]

File IDs for bank statements

Example:
proofOfAddress
string<uuid>[]

File IDs for proof of address documents

Example:
taxDocuments
string<uuid>[]

File IDs for tax documents

Example:

Response

KYB information submitted successfully